
QGIS Application - Bug report #9683

QGIS crashes after switching from "Add Feature" tool and back

2014-03-01 12:34 AM - Alexander Bruy

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18248

Description

After merging MTR branch "Add feature" tool causes QGIS crash when editing layer. Steps to reproduce:

    1. Add shapefile layer

    2. Start editing

    3. Select "Add Feature" tool and create new feature

    4. Change map tool to "Pan Map" 

    5. Again select "Add Feaure" tool

    6. QGIS crashes

Also QGIS crashes when you simply switch forth and back between "Add feature" and other tools.

Tracelog:

QGIS died on signal 11

warning: Could not load shared library symbols for linux-vdso.so.1.

Do you need "set solib-search-path" or "set sysroot"?

[New LWP 2173]

[New LWP 2172]

[New LWP 2171]

[New LWP 2170]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib64/libthread_db.so.1".

0x00007f3daf3ba317 in waitpid () from /lib64/libc.so.6

Traceback (most recent call last):

  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3200.4-gdb.py", line 9, in <module>

    from gobject import register

  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>

    import gdb.backtrace

ImportError: No module named backtrace

[Current thread is 1 (Thread 0x7f3db6ce37c0 (LWP 2162))]

#0  0x00007f3daf3ba317 in waitpid () from /lib64/libc.so.6

No symbol table info available.

#1  0x0000000000509ba5 in qgisCrash (signal=<optimized out>) at /home/alex/devel/cpp/qgis/src/app/main.cpp:291

        status = <optimized out>

        pidstr = "--pid=2162\\000\\002\\000\\000\\000\\000X\\213\\270\\005\\000\\000\\000\\000@Pz\\263=\\177\\000" 

        gdbpid = <optimized out>

        exename = "/usr/local/bin/qgis", '\\000' <repeats 29 times>,

"\\t\\000\\000\\000\\062\\000\\000\\000[\\000\\000\\000n\\000\\000\\000w\\000\\000\\000|\\000\\000\\000\\220\\270\\243\\215\\377\\177\\000\\000\\000\\000\\000\\000\\001\\000\\000\\000\\240\\344\\002\\002\\000\\000\\000\\000\\250\\344\\002\\002\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\250T\\342\\005\\000\\000\\000\\000 Wk\\257=\\177\\000\\000\\200\\000\\000\\000\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\000\\273\\243\\215\\377\\177\\000\\000p\\204C\\002\\000\\000\\000\\000\\000\\273\\243\\215\\377\\177\\000\\000\\020\\333\\067\\257=\\177\\000\\000\\200\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\255\\244=\\177\\000\\000\\260\\000\\000\\000\\000\\000\\000\\000\\b\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000\\241\\203=\\262=\\177", '\\000' <repeats 18 times>, "@\\333\\177\\262=\\177\\000\\000;\\270g\\000\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000000006428b30 in ?? ()
No symbol table info available.
#4  0x000000000065a7b7 in QgsMapToolCapture::canvasMoveEvent (this=0x24472e0, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/app/qgsmaptoolcapture.cpp:109
        mapPoint = {m_x = 0, m_y

7\\177\\000\\000\\000\\000\\000\\000\\001\\000\\000\\000\\240\\344\\002\\002\\000\\000\\000\\000\\250\\344\\002\\002\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\250T\\342\\005\\000\\000\\000\\000 Wk\\257=\\177\\000\\000\\200\\000\\000\\000\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\000\\273\\243\\215\\377\\177\\000\\000p\\204C\\002\\000\\000\\000\\000\\000\\273\\243\\215\\377\\177\\000\\000\\020\\333\\067\\257=\\177\\000\\000\\200\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\255\\244=\\177\\000\\000\\260\\000\\000\\000\\000\\000\\000\\000\\b\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000\\241\\203=\\262=\\177", '\\000' <repeats 18 times>, "@\\333\\177\\262=\\177\\000\\000;\\270g\\000\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000000006428b30 in ?? ()
No symbol table info available.
#4  0x000000000065a7b7 in QgsMapToolCapture::canvasMoveEvent (this=0x24472e0, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/app/qgsmaptoolcapture.cpp:109
        mapPoint = {m_x = 0, m_y = 0}
        snapResults = {{p = {static shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7f3db27fdb40 <QListData::shared_null>}, d = 0x7f3db27fdb40 <QListData::shared_null>}}
#5  0x00007f3db314

\\000\\000`,\\330\\005\\000\\000\\000\\000\\250T\\342\\005\\000\\000\\000\\000

Wk\\257=\\177\\000\\000\\200\\000\\000\\000\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\000\\273\\243\\215\\377\\177\\000\\000p\\204C\\002\\000\\000\\000\\000\\000\\273\\243\\215\\377\\177\\000\\000\\020\\333\\067\\257=\\177\\000\\000\\200\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\255\\244=\\177\\000\\000\\260\\000\\000\\000\\000\\000\\000\\000\\b\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000\\241\\203=\\262=\\177", '\\000' <repeats 18 times>, "@\\333\\177\\262=\\177\\000\\000;\\270g\\000\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000000006428b30 in ?? ()
No symbol table info available.
#4  0x000000000065a7b7 in QgsMapToolCapture::canvasMoveEvent (this=0x24472e0, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/app/qgsmaptoolcapture.cpp:109
        mapPoint = {m_x = 0, m_y = 0}
        snapResults = {{p = {static shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7f3db27fdb40 <QListData::shared_null>}, d = 0x7f3db27fdb40 <QListData::shared_null>}}
#5  0x00007f3db3147780 in QgsMapCanvas::mouseMoveEvent (this=0x22aa680, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/gui/qgsmapcanvas.cpp:1395
        xy = <optimized out>
        coord = {m_x = 2.6312747813848758e-312, m_y = 6.9532610140199826e-310}
#6  0x00007f3db188b6d4 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#7  0x00007f3db1c34626 in QFrame::event(QEvent*) () fro
\\000\\000p\\204C\\002\\000\\000\\000\\000\\000\\273\\243\\215\\377\\177\\000\\000\\020\\333\\067\\257=\\177\\000\\000\\200\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\255\\244=\\177\\000\\000\\260\\000\\000\\000\\000\\000\\000\\000\\b\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000\\241\\203=\\262=\\177", '\\000' <repeats 18 times>, "@\\333\\177\\262=\\177\\000\\000;\\270g\\000\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000000006428b30 in ?? ()
No symbol table info available.
#4  0x000000000065a7b7 in QgsMapToolCapture::canvasMoveEvent (this=0x24472e0, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/app/qgsmaptoolcapture.cpp:109
        mapPoint = {m_x = 0, m_y = 0}
        snapResults = {{p = {static shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7f3db27fdb40 <QListData::shared_null>}, d = 0x7f3db27fdb40 <QListData::shared_null>}}
#5  0x00007f3db3147780 in QgsMapCanvas::mouseMoveEvent (this=0x22aa680, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/gui/qgsmapcanvas.cpp:1395
        xy = <optimized out>
        coord = {m_x = 2.6312747813848758e-312, m_y = 6.9532610140199826e-310}
#6  0x00007f3db188b6d4 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#7  0x00007f3db1c34626 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#8  0x00007f3db1e4cbdb in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#9  0x00007f3db24a4c26 in QCoreApplicationPrivate::sendThrough

000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000`,\\330\\005\\000\\000\\000\\000\\255\\244=\\177\\000\\000\\260\\000\\000\\000\\000\\000\\000\\000\\b\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000\\241\\203=\\262=\\177", '\\000' <repeats 18 times>, "@\\333\\177\\262=\\177\\000\\000;\\270g\\000\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000000006428b30 in ?? ()
No symbol table info available.
#4  0x000000000065a7b7 in QgsMapToolCapture::canvasMoveEvent (this=0x24472e0, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/app/qgsmaptoolcapture.cpp:109
        mapPoint = {m_x = 0, m_y = 0}
        snapResults = {{p = {static shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7f3db27fdb40 <QListData::shared_null>}, d = 0x7f3db27fdb40 <QListData::shared_null>}}
#5  0x00007f3db3147780 in QgsMapCanvas::mouseMoveEvent (this=0x22aa680, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/gui/qgsmapcanvas.cpp:1395
        xy = <optimized out>
        coord = {m_x = 2.6312747813848758e-312, m_y = 6.9532610140199826e-310}
#6  0x00007f3db188b6d4 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#7  0x00007f3db1c34626 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#8  0x00007f3db1e4cbdb in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#9  0x00007f3db24a4c26 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#10 0x00007f3db183bf2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#1

\\000\\260\\000\\000\\000\\000\\000\\000\\000\\b\\000\\000\\000\\000\\000\\000\\000\\300\\343\\340\\005\\000\\000\\000\\000\\241\\203=\\262=\\177", '\\000' <repeats 18 times>, "@\\333\\177\\262=\\177\\000\\000;\\270g\\000\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000000006428b30 in ?? ()
No symbol table info available.
#4  0x000000000065a7b7 in QgsMapToolCapture::canvasMoveEvent (this=0x24472e0, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/app/qgsmaptoolcapture.cpp:109
        mapPoint = {m_x = 0, m_y = 0}
        snapResults = {{p = {static shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7f3db27fdb40 <QListData::shared_null>}, d = 0x7f3db27fdb40 <QListData::shared_null>}}
#5  0x00007f3db3147780 in QgsMapCanvas::mouseMoveEvent (this=0x22aa680, e=0x7fff8da3c9b0) at /home/alex/devel/cpp/qgis/src/gui/qgsmapcanvas.cpp:1395
        xy = <optimized out>
        coord = {m_x = 2.6312747813848758e-312, m_y = 6.9532610140199826e-310}
#6  0x00007f3db188b6d4 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#7  0x00007f3db1c34626 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#8  0x00007f3db1e4cbdb in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#9  0x00007f3db24a4c26 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#10 0x00007f3db183bf2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#11 0x00007f3db1840c3b in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#12 0x00007f3db373a283 in QgsApplication::notify (this=0x7fff8da3de10, receiver=0x22c0fc0, event=0x7fff8da3c9b0) at /home/al

1\\203=\\262=\\177", '\\000' <repeats 18 times>, "@\\333\\177\\262=\\177\\000\\000;\\270g\\000\\000\\000\\000\\000"...

        len = <optimized out>

#2  <signal handler called>

No symbol table info available.

#3  0x0000000006428b30 in ?? ()

No symbol table info available.

#4  0x000000000065a7b7 in QgsMapToolCapture::canvasMoveEvent (this=0x24472e0, e=0x7fff8da3c9b0) at

/home/alex/devel/cpp/qgis/src/app/qgsmaptoolcapture.cpp:109

        mapPoint = {m_x = 0, m_y = 0}

        snapResults = {{p = {static shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}},

d = 0x7f3db27fdb40 <QListData::shared_null>}, d = 0x7f3db27fdb40 <QListData::shared_null>}}

#5  0x00007f3db3147780 in QgsMapCanvas::mouseMoveEvent (this=0x22aa680, e=0x7fff8da3c9b0) at

/home/alex/devel/cpp/qgis/src/gui/qgsmapcanvas.cpp:1395

        xy = <optimized out>

        coord = {m_x = 2.6312747813848758e-312, m_y = 6.9532610140199826e-310}

#6  0x00007f3db188b6d4 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#7  0x00007f3db1c34626 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#8  0x00007f3db1e4cbdb in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#9  0x00007f3db24a4c26 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib64/libQtCore.so.4

No symbol table info available.

#10 0x00007f3db183bf2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#11 0x00007f3db1840c3b in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#12 0x00007f3db373a283 in QgsApplication::notify (this=0x7fff8da3de10, receiver=0x22c0fc0, event=0x7fff8da3c9b0) at

/home/alex/devel/cpp/qgis/src/core/qgsapplication.cpp:232

        done = true

#13 0x00007f3db24a4abe in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4

No symbol table info available.

#14 0x00007f3db183cd9b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#15 0x00007f3db18b7eb4 in ?? () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#16 0x00007f3db18b67b1 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#17 0x00007f3db18dc3e2 in ?? () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#18 0x00007f3dac3b8c35 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0

No symbol table info available.

#19 0x00007f3dac3b8f68 in ?? () from /usr/lib64/libglib-2.0.so.0

No symbol table info available.

#20 0x00007f3dac3b9024 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0

No symbol table info available.

#21 0x00007f3db24d2c16 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib64/libQtCore.so.4
No symbol table info available.

#22 0x00007f3db18dc06e in ?? () from /usr/lib64/libQtGui.so.4

No symbol table info available.

#23 0x00007f3db24a380f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib64/libQtCore.so.4

No symbol table info available.

#24 0x00007f3db24a3a98 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4

No symbol table info available.

#25 0x00007f3db24a8738 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4

No symbol table info available.

#26 0x000000000050424b in main (argc=1, argv=0x204bc20) at /home/alex/devel/cpp/qgis/src/app/main.cpp:1020

        qgistor = <incomplete type>

        mySnapshotHeight = 600

        args = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1,

array = {0x0}}, d = 0x1fe9280}, d = 0x1fe9280}}, <No data fields>}

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f3db22d33e0

<QApplication::staticMetaObject>, stringdata = 0x7f3db3a61ea0 <qt_meta_stringdata_QgsApplication> "QgsApplication", data =

0x7f3db3a61f00 <qt_meta_data_QgsApplication>, extradata = 0x7f3db3d45a60

<QgsApplication::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall =

0x7f3db39f70f0 <QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static

mFileOpenEventReceiver20300 = 0x2052430, static mFileOpenEventList20300 = {<QList<QString>> = {{p = {static shared_null =

{ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7f3db27fdb40

<QListData::shared_null>}, d = 0x7f3db27fdb40 <QListData::shared_null>}}, <No data fields>}, static mPrefixPath20300 = {static

null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data = 0x7f3db27fdc3a

<QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static

shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a <QString::shared_empty+26>, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x2018940, static codecForCStrings =

0x0}, static mPluginPath20300 = {static null = <same as static member of an already seen type>, static shared_null = <same as

static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d =

0x20212f0, static codecForCStrings = 0x0}, static mPkgDataPath20300 = {static null = <same as static member of an already

seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static

member of an already seen type>, d = 0x2019270, static codecForCStrings = 0x0}, static mLibraryPath20300 = {static null =

<same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static

shared_empty = <same as static member of an already seen type>, d = 0x2019d00, static codecForCStrings = 0x0}, static

mLibexecPath20300 = {static null = <same as static member of an already seen type>, static shared_null = <same as static

member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x20215e0,

static codecForCStrings = 0x0}, static mThemeName20300 = {static null = <same as static member of an already seen type>,

static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an

already seen type>, d = 0x2238e80, static codecForCStrings = 0x0}, static mDefaultSvgPaths20300 = {<QList<QString>> = {{p =

{static shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x2019890}, d =

0x2019890}}, <No data fields>}, static mSystemEnvVars20300 = {{d = 0x2041930, e = 0x2041930}}, static mConfigPath20300 =

{static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data = 0x7f3db27fdc3a

<QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static

shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a <QString::shared_empty+26>, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x2021550, static codecForCStrings =

0x0}, static mRunningFromBuildDir20300 = false, static mBuildSourcePath20300 = {static null = <same as static member of an

already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static

member of an already seen type>, d = 0x7f3db27fdc20 <QString::shared_null>, static codecForCStrings = 0x0}, static

mBuildOutputPath20300 = {static null = <same as static member of an already seen type>, static shared_null = <same as static

member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x7f3db27fdc20

<QString::shared_null>, static codecForCStrings = 0x0}, static mGdalSkipList20300 = {<QList<QString>> = {{p = {static

shared_null = {ref = {_q_value = 6069}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7f3db27fdb40

<QListData::shared_null>}, d = 0x7f3db27fdb40 <QListData::shared_null>}}, <No data fields>}}
        myLocaleOverrideFlag = <optimized out>

        __FUNCTION__ = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0,

data = 0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0,

reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f3db27fdc00 <QString::shared_empty>, static codecForCStrings = 0x0}

        myHideSplash = false

        myRestorePlugins = true

        myTranslationCode = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data

= 0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved =

0, array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x203fe00, static codecForCStrings = 0x0}

        customizationfile = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f3db27fdc20 <QString::shared_null>, static codecForCStrings = 0x0}

        style = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x2048630, static codecForCStrings = 0x0}

        qttor = <incomplete type>

        myPixmap = <incomplete type>

        myInitialExtent = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x1fa1c60, static codecForCStrings = 0x0}

        mySettings = <incomplete type>

        i18nPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x209b710, static codecForCStrings = 0x0}

        myLocale = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f3db27fdc20 <QString::shared_null>, static codecForCStrings = 0x0}

        qgis = 0x2052430

        retval = <optimized out>

        optionpath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f3db27fdc20 <QString::shared_null>, static codecForCStrings = 0x0}

        customizationsettings = <optimized out>

        systemEnvVars = {{d = 0x2041930, e = 0x2041930}}

        pythonfile = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,
array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f3db27fdc20 <QString::shared_null>, static codecForCStrings = 0x0}

        myUseGuiFlag = <optimized out>

        myUserLocale = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x2019780, static codecForCStrings = 0x0}

        mySplashPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x203f670, static codecForCStrings = 0x0}

        mySnapshotWidth = 800

        myCustomization = <optimized out>

        configpath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 10229}, alloc = 0, size = 0, data =

0x7f3db27fdc3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 344}, alloc = 0, size = 0, data = 0x7f3db27fdc1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f3db27fdc20 <QString::shared_null>, static codecForCStrings = 0x0}

        useCustomVars = <optimized out>

        mypSplash = 0x204bc20

gdb returned 0

Associated revisions

Revision f2dbf9dc - 2014-03-02 02:17 PM - Martin Dobias

Fix #9683 (crash in add feature map tool)

History

#1 - 2014-03-02 05:18 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"f2dbf9dc3e64ad4c46d1c65cc13e2a0188d297bf".

#2 - 2014-03-02 05:19 AM - Martin Dobias

- Affected QGIS version changed from 2.2.0 to master

2024-04-19 5/5


